import logging


log = logging.getLogger('charms')

SEARCH_FIELDS = [
    "series", "owner", "subordinate", "provides", "requires"]
SERIES_SORT = ['precise', 'quantal', 'oneiric']

SANITIZE = set(
    ('i_requires', 'i_provides', 'branch_dir', 'label',
     'hooks', 'first_change', 'commit', 'bname', '_id',
     'distro_series', 'changes', 'branch_spec', 'store_data',
     'config_raw', 'revision', 'short_url'))
