from charmworld.testing import WebTestBase


class TestBaseViews(WebTestBase):

    def test_homeview(self):
        """Make sure the home view renders correctly."""
        resp = self.app.get(
            '/',
            status=200)

        body = resp.body
        self.assertIn("Juju Charms", body)

        # Make sure our cached_view_config is setting the Cache-control
        # correctly.

        for head, value in resp.headers.iteritems():
            if head == 'Cache-Control':
                self.assertEqual('max-age=450', value)
                break
        else:
            self.fail('Cache-Control header not found.')
